var ajax = function (obj) {
    function json2urlstr(json) {
        var arr = [];
        for (var key in json) {
            arr.push(key + '=' + json[key]);
        }
        return arr.join('&');
    }

    if (!obj) throw new Error('parameter error!');
    if (!obj.url) throw new Error('request url not config!');
    //if (!obj.data) throw new Error('request data not config!');

    var timer = null;

    obj.type = obj.type || 'GET';
    obj.errorTime = obj.errorTime || 15000;
    obj.timeout = obj.timeout || function () {
    };
    obj.success = obj.success || function () {
    };
    obj.error = obj.error || function () {
    };

    var xhr = null;
    if (window.XMLHttpRequest) {
        xhr = new XMLHttpRequest();
    } else {
        xhr = new ActiveXObject('Msxml2.XMLHTTP');
    }
    if (obj.url.indexOf('json') > -1) {
        if (obj.url.indexOf('?') == -1) {
            var param = json2urlstr(obj.data);
            if (param.length) {
                obj.url += (obj.url.indexOf('?') > -1 ? '&' : '?') + param;
            }
        }

        xhr.open('GET', decodeURIComponent(obj.url), true);
        xhr.send();
    } else {
        if (obj.type == 'POST') {
            if (obj.throughPhp) {
                var param = json2urlstr(obj.data);
                xhr.open('POST', '/swatapps/ape/interface/bridge-post.php', true);
                xhr.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded; charset=utf-8');
                xhr.send('url=' + obj.url + '&postdata=' + encodeURIComponent(param));
            } else {
                xhr.open('POST', obj.url, true);
                xhr.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded; charset=utf-8');
                xhr.send(json2urlstr(obj.data));
            }
        } else {
            if (obj.url.indexOf('?') == -1) {
                var param = json2urlstr(obj.data);
                if (param.length) {
                    obj.url += (obj.url.indexOf('?') > -1 ? '&' : '?') + param;
                }
            }
            if (obj.throughPhp) {
                xhr.open('GET', '/swatapps/ape/interface/bridge.php?url=' + encodeURIComponent(obj.url), true);
            } else {
                xhr.open('GET', decodeURIComponent(obj.url), true);
            }
            xhr.send();
        }
    }
    timer = setTimeout(function () {
        xhr.onreadystatechange = null;
        obj.timeout({
            result: false,
            errorMsg: '网络异常!'
        });
        xhr = null;
        clearTimeout(timer);
    }, obj.errorTime);
    xhr.onreadystatechange = function () {
        // log('xhr.readyState:' + xhr + " " + xhr.readyState + " " + xhr.status + " " + xhr.responseText);
        if (xhr.readyState == 4) {
            clearTimeout(timer);
            // log('xhr.status:' + xhr.status);
            if ((xhr.status < 300 && xhr.status >= 200) || xhr.status == 304) {
                obj.success(xhr.responseText);
                xhr = null;
            } else {
                xhr.onreadystatechange = null;
                obj.error({
                    result: false,
                    errorMsg: '网络异常!'
                });
                xhr = null;
            }
        }
    };
};
/*
function evmLog(str){
	if(EVM&&EVM.log){
		evmLog = EVM.log;
	}else{
		evmLog = function(str){
			console.log(str);
		}
	}
	return evmLog(str);
}
*/
//获取机顶盒卡号
function getCard() {
    /*var macCode;
    try {
        macCode = CAManager.cardSerialNumber;
    } catch (e) {
    }
    if(!macCode){
        try {
            macCode = EVM.getMac();
        }catch (e) {

        }

    }
    if(!macCode) {
        try {
            macCode = media.getCard();
        } catch (e) {
            macCode = '8280202377515636';
        }
    }
    try {
        evm.globalConfig.mac_code = evm.globalConfig.mac_code.replace(/\s/g, "");
    } catch (e) {

    }
    return macCode*/
	var mac = "";
	  try {
		mac = media.getCard();
	  } catch (e) {}

	  if (!mac) {
		try {
		  mac = CAManager.cardSerialNumber;
		} catch (e) {}
	  }
	  
	  if (!mac) {
		try {
		  mac = EVM.getMac();
		} catch (e) {}
	  }
	  if (!mac) {
		try {
		  mac = EVM.getCard();
		} catch (e) {}
	  }
	  if (!mac) {
		try {
		  mac = EVM.getCardNum();
		} catch (e) {}
	  }
	  if (!mac) {
		mac = evm.getUrl().mac || "";
	  }
	  mac = mac.replace(/\s/g, "");
	  //evmLog("==mac:"+mac);
	  return mac;
}
var macCode = getCard();
//evmLog("==macCode:" + macCode);

function clickCount(vName) {
    var ip = /^10./.test(location.hostname) ? '10.102.1.19' : '60.255.71.30:19005';
    var url = 'http://' + ip + '/rabbitCommon/visitRecord.php';
    var param = {
        GUID: macCode,
        vUrl: encodeURIComponent(location.href),
        vName: vName
    }
    ajax({
        type: 'GET',
        throughPhp: false,
        errorTime: 15 * 1000,
        url: url,
        data: param,
        success: function (resp) {
        },
        error: function () {
            //error
        },
        timeout: function () {
            //timeout
        }
    });
    // var url = 'http://' + ip + '/rabbitCommon/visitRecord.php?GUID=' + macCode + '&vUrl=' + encodeURIComponent(location.href) + '&vName=' + vName;
    // evm.ajax(url, function (resp) {
    // });
}
