﻿// 配置机顶盒调试打印信息
/*
evm.util.common.logger.setConfig({
  auth: ['123'], //有调试信息的机顶盒特征值。
  setAuthToken: function () {
    return macCode;
  },
  onCheckAuth: false,
  logSwitch: true,
  logMode: 'simple',
  logLevel: 'debug'
});
*/

/*evm.log("===ua:" + navigator.userAgent);
evm.log("==href:" + location.href);
try{
	evm.log("==STB_Model:" + HardwareInfo && HardwareInfo.STB.model);
	evm.log("==STB_HV:" + HardwareInfo && HardwareInfo.HW.version);
	evm.log("==STB_OS_SV:" + SoftwareInfo && SoftwareInfo.loader.version);
	evm.log("==STB_MW_SV:" + SoftwareInfo && SoftwareInfo.middleware.version);
} catch(e){
	
}*/

// 设置机顶盒信息
function getMacCode() {
  var mac = "";
  try {
    mac = media.getCard();
  } catch (e) {}

  if (!mac) {
    try {
      mac = CAManager.cardSerialNumber;
    } catch (e) {}
  }

  if (!mac) {
    try {
      mac = EVM.getCard();
    } catch (e) {}
  }
  if (!mac) {
    try {
      mac = EVM.getMac();
    } catch (e) {}
  }
  if (!mac) {
    try {
      mac = EVM.getCardNum();
    } catch (e) {}
  }
  if (!mac) {
    mac = evm.getUrl().mac || "";
  }
  mac = mac.replace(/\s/g, "");
  return mac;
}
var macCode = getMacCode();

try {
  evm.util.common.logger.setConfig({
    logSwitch: true,
    logMode: "server",
    logLevel: "debug",
    intervalTime: 5,
    postUrl: "/swatapps/ape/interface/logger.php",
    //正式上线时候必须配置为true
    onCheckAuth: false,
    //输入客户端特征字符串数组
    //正式上线必须配置指定的测试终端
    auth: [],
    //输入客户端特征检测函数
    //如：函数返回机顶盒的CA卡、MAC地址等
    setAuthToken: function () {
      try {
        return macCode;
      } catch (e) {
        return "";
      }
    },
  });
} catch (e) {
  if (console) {
    console.log("logger.js 日志配置报错: " + e.message);
  }
}

// evm.log = function (str) {
//   evm.util.common.logger.warn(str);
// };
try {
  evm.log("ua:" + navigator.userAgent.toLowerCase());
} catch (error) {
  evm.log("ua:" + error);
}
try {
  evm.log("HardwareInfo.STB.model:" + HardwareInfo.STB.model);
} catch (error) {
  evm.log("HardwareInfo.STB.model:" + error);
}
try {
  evm.log("href:" + location.href);
} catch (error) {
  evm.log("href:" + error);
}
try {
  evm.log("origin:" + location.origin);
} catch (error) {
  evm.log("origin:" + error);
}

evm.log("macCode:" + macCode);
evm.addStbUAExpression({
  expression: /android/i,
  stb: "evm_apk",
  browser: "stb",
});
evm.addStbUAExpression({
  expression: /ipanel|enrich/,
  stb: "sichuan",
  browser: "stb",
});
evm.getStbInfo();

//临时代码  把九州IP盒子设置为Android（该盒子ua为;ipanel）
try {
  if (HardwareInfo && HardwareInfo.STB.model == "PTV-8698") {
    evm.setStbInfo("evm_apk");
  }
} catch (e) {}
evm.log("evm.stbInfo.stb:" + evm.stbInfo.stb);
if (evm.stbInfo.stb === "evm_apk") {
  evm.importKeyCode({
    stb: "evm_apk",
    keymap: {
      13: "SELECT",
      37: "LEFT",
      38: "UP",
      39: "RIGHT",
      40: "DOWN",
      67: "MUTE",
      33: "PAGE_UP",
      34: "PAGE_DOWN",
      8: "BACK",
      24: "VOL_UP",
      25: "VOL_DOWN",
    },
  });
}
if (evm.stbInfo.stb === "zhejiang") {
  evm.importKeyCode({
    stb: "zhejiang",
    keymap: {
      13: "SELECT",
      1: "UP",
      2: "DOWN",
      3: "LEFT",
      4: "RIGHT",
      340: "BACK",
      339: "EXIT",
      372: "PAGE_UP",
      373: "PAGE_DOWN",
      595: "VOLUME_UP",
      596: "VOLUME_DOWN",
      597: "VOLUME_MUTE",
    },
  });
}
if (evm.stbInfo.stb === "sichuan") {
  evm.importKeyCode({
    stb: "sichuan",
    keymap: {
      8: "BACK",
      13: "SELECT",
      37: "LEFT",
      38: "UP",
      39: "RIGHT",
      40: "DOWN",
      1096: "VOL_DOWN",
      1095: "VOL_UP",
      1097: "MUTE",
      427: "PAGE_UP",
      428: "PAGE_DOWN",
      406: "F4",
      403: "F1",
      404: "F2",
      405: "F3",
    },
  });
}
if (evm.stbInfo.stb === "guangxi") {
  evm.importKeyCode({
    stb: "guangxi",
    keymap: {
      13: "SELECT",
      37: "LEFT",
      38: "UP",
      39: "RIGHT",
      40: "DOWN",
      518: "MUTE",
      33: "PAGE_UP",
      34: "PAGE_DOWN",
      399: "BACK",
      8: "BACK",
      514: "EXIT",
      517: "VOL_UP",
      516: "VOL_DOWN",
    },
  });
}

var browserKeyEvent = "keydown"; // keydown/keypress

// 项目配置均在此处
var host = location.host;
var protocol = location.protocol + "//";

var throughPhp = false; // 配置调用接口是否使用php中转，部分高清盒子可直接跨域访问
if (evm.stbInfo.stb == "evm_apk") {
  throughPhp = false;
}

var hudongEnable = false; // 配置是否添加互动点播入口
var hudongPosition = "default"; // 配置互动点播位置，可设置为default/videoCall
var appCodeEnable = false; // 配置是否显示APP下载地址二维码
var appCodePosition = "default"; // 配置二维码显示位置，可设置为default/videoCall/meeting/setting/all
var enableMessagePipe = false; // 允许消息通道
var enableQuickSearch = false; // 允许组内首字母快速搜索，后续版本实现
var cookiePrefix = "cloud-video-meeting/"; // cookie前缀，可不做修改
var openRing = false; // 设置开启铃声提醒，若支持<audio>标签，可设置味true，否则设置为false
var limitInteractMeetingUserLength = 50; // 设置会议可邀请最大成员数
var autoAcceptMeetingInvitation = true; // 设置自动接受会议邀请
var videoPlayTimeModifyMethod = "seek"; // 配置播放器播放视频使用的时间调整方式，seek：拉杆，race：快进快退。需要播放器支持
if (evm.stbInfo.stb == "evm_apk") {
  videoPlayTimeModifyMethod = "apk_seek";
}

// var server = /^10./.test(location.host) ? '10.215.75.5:8080' : '60.255.48.189:19003';
// setCloudVideoServer(server); // 设置视频会议后台地址

// 工具方法
// 比较两个对象
function comp(objx, objy) {
  for (var px in objx) {
    if (objy[px] === undefined) return false;
    if (objy[px] !== objx[px]) return false;
  }
  for (var py in objy) {
    if (objx[py] === undefined) return false;
  }
  return true;
}

// 预加载图片
function preload(arr) {
  var preLoadImages = [];
  for (i = 0; i < arr.length; i++) {
    preLoadImages[i] = new Image();
    preLoadImages[i].src = arr[i];
  }
  preLoadImages = null;
}

// 获取当前时间
var getTimeFromServer = false;
var getTime = {
  // 设置服务器获取时间链接
  url: "",
};

function clock(callback) {
  var date = null,
    Y,
    M,
    D,
    tH,
    tM,
    tS;
  if (getTimeFromServer) {
    evm.request(getTimeUrl, function (t) {
      date = new Date(t);
      format();
    });
  } else {
    date = new Date();
    format();
  }

  function format() {
    var Y = date.getFullYear(),
      M = date.getMonth() + 1,
      D = date.getDate(),
      Day = date.getDay(),
      tH = date.getHours(),
      tM = date.getMinutes(),
      tS = date.getSeconds();
    var now = formatTime(Y, M, D, Day, tH, tM, tS);
    if (evm.isFunction(callback)) callback(now);
    setTimeout(function () {
      clock(callback);
    }, (60 - tS) * 1000);
  }
}

function formatTime(Y, M, D, Day, tH, tM, tS) {
  var days = ["日", "一", "二", "三", "四", "五", "六"];
  if (M < 10) M = "0" + M;
  if (D < 10) D = "0" + D;
  if (tH < 10) tH = "0" + tH;
  if (tM < 10) tM = "0" + tM;
  var day = {};
  day.date = Y + "年" + M + "月" + D + "日";
  day.day = "星期" + days[Day];
  day.time = tH + " : " + tM;
  return day;
}

// 获取字符串实际长度
function getStrRealLength(str) {
  var realLength = 0,
    len = str.length,
    charCode = -1;
  for (var i = 0; i < len; i++) {
    charCode = str.charCodeAt(i);
    if (charCode >= 0 && charCode <= 128) realLength += 1;
    else realLength += 2;
  }
  return realLength;
}

// 从字符串中截取制定长度
function getStrLimitLength(str, limit) {
  var realLength = 0,
    len = str.length,
    charCode = -1,
    retStr = str;
  for (var i = 0; i < len; i++) {
    charCode = str.charCodeAt(i);
    if (charCode >= 0 && charCode <= 128) {
      realLength += 1;
    } else {
      realLength += 2;
    }
    if (realLength >= limit) {
      retStr = str.substr(0, i + 1);
      break;
    }
  }
  return retStr;
}
